PUTWC(3P)

NAME
putwc - put a wide character on a stream

SYNOPSIS

#include <stdio.h>
#include <wchar.h>

wint_t putwc(wchar_t wc, FILE *stream);

DESCRIPTION

The putwc() function shall be equivalent to fputwc(), except that if it is implemented as a macro it may evaluate stream more than once, so the argument should never be an expression with side effects.

RETURN VALUE

Refer to fputwc() .

ERRORS

Refer to fputwc() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

Since it may be implemented as a macro, putwc() may treat a stream argument with side effects incorrectly. In particular, putwc(wc,*f++) need not work correctly. Therefore, use of this function is not recommended; fputwc() should be used instead.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fputwc() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .